Summary:   Color daemon
Name:      colord
Version:   1.4.7
Release:   %mkrel 1
Group:	   System/Libraries
License:   GPLv2+ and LGPLv2+
URL:       http://www.freedesktop.org/software/colord/
Source0:   http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
###Source1:	colord.init
#BuildRequires: colord-gtk-devel
BuildRequires: dbus-devel
BuildRequires: docbook-xsl-ns
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: lcms2-devel 
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: libusb1-devel
BuildRequires: polkit-devel
BuildRequires: %{_lib}polkit1-devel
BuildRequires: %{_lib}sane1-devel
BuildRequires: %{_lib}gusb-devel
BuildRequires: sqlite-devel
BuildRequires: pkgconfig(libxslt)
BuildRequires: gobject-introspection-devel
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: bash-completion
BuildRequires: argyllcms
BuildRequires: pkgconfig(xrandr)
#BuildRequires: valgrind-devel

Provides:	colord colord-sane colord-session
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	dconf dbus lcms2 lib64gusb2
Requires:	shared-mime-info
Requires:	polkit
Requires:	sqlite3-tools
Requires:	shared-color-profiles
Suggests:	colord-gtk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
Group:	Development/Libraries

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
# Set ~2 GiB limit so that colprof is forced to work in chunks when
# generating the print profile rather than trying to allocate a 3.1 GiB
# chunk of RAM to put the entire B-to-A tables in.
ulimit -Sv 2000000

mv po/fur.po po/ur.po
sed -i 's/fur/ur/' po/LINGUAS
rm -f meson_options.txt
cat > meson_options.txt<< EOF
option('daemon', type : 'boolean', value : true, description : 'build the daemon')
option('session_example', type : 'boolean', value : false, description : 'Enable session example')
option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')
option('systemd', type : 'boolean', value : false, description : 'Enable systemd integration')
option('libcolordcompat', type : 'boolean', value : true, description : 'Enable libcolordcompat.so which is used by ArgyllCMS')
option('argyllcms_sensor', type : 'boolean', value : false, description : 'Enable ArgllCMS sensor')
option('sane', type : 'boolean', value : true, description : 'Enable SANE support')
option('introspection', type : 'boolean', value : true, description : 'Build gobject-introspection typelib files')
option('vapi', type : 'boolean', value : true, description : 'Build vala bindings')
option('print_profiles', type : 'boolean', value : false, description : 'Build extra print profiles')
option('tests', type : 'boolean', value : false, description : 'Build self tests')
option('installed_tests', type : 'boolean', value : false, description : 'Install tests')
option('daemon_user', type : 'string', value : 'colord', description : 'User for running the colord daemon')
option('pnp_ids', type : 'string', value : '/usr/share/misc', description : 'Location of pnp.ids if hwdb is not available')
option('man', type : 'boolean', value : true, description : 'Generate man pages')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')
EOF

mkdir build &&
cd    build &&

#-Ddaemon_user=colord \
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"	
        
meson -Dprefix=/usr -Dsystemd=false \
	-Dintrospection=true \
	-Dvapi=true \
    -Dsystemd=false \
    -Dlibcolordcompat=true \
    -Dargyllcms_sensor=false \
    -Dbash_completion=true \
    -Ddocs=true \
    -Dman=true .. &&
ninja
### -C build
%install
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
%meson_install
# ninja install

# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
# remove systemdservice
find %{buildroot} -name '*.service' -exec sed -i '/^#!/n;/SystemdService/d' {} ';'

# databases
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/colord
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/colord/mapping.db
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/colord/storage.db

ln -s %{buildroot}%{_datadir}/dbus-1/system.d/org.freedesktop.ColorManager.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf

%find_lang %{name}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/colord %{_sbindir}/nologin


%post
groupadd -g 71 colord &&
useradd -c "Color Daemon Owner" -d /var/lib/colord -u 71 -g colord -s /bin/false colord
if [ -f %{_localstatedir}/lib/colord/mapping.db ]; then
        if [ ! $(stat -c %U %{_localstatedir}/lib/colord/mapping.db) == "colord" ];then
                chown colord: %{_localstatedir}/lib/colord/*.db
       	fi
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libexecdir}/colord
%{_libexecdir}/colord-sane
%{_libexecdir}/colord-session
%dir %{_localstatedir}/lib/colord
%{_bindir}/*
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorHelper.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ColorHelper.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.ColorHelper.service
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_datadir}/man/man1/*.1.*
%{_libdir}/libcolord.so.*
%{_libdir}/libcolorhug.so.*
%{_libdir}/libcolordprivate.so.*
%{_libdir}/libcolordcompat.so
/lib/udev/rules.d/*.rules
%dir %{_datadir}/color/icc/colord
%{_datadir}/color/icc/colord/*.ic?
%{_datadir}/colord/ti1/*.ti1
%{_datadir}/colord/icons/*.svg
%{_datadir}/bash-completion/completions/colormgr
%{_datadir}/colord/cmf/*.cmf
%{_datadir}/colord/illuminant/*.sp
%{_datadir}/colord/ref/CIE-1986-daylight-SPD.cmf
%{_datadir}/colord/ref/CIE-TCS.sp
%{_datadir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
%{_datadir}/gtk-doc/html/colord/*
%{_libdir}/colord-sensors
%{_libdir}/colord-plugins
%{_libdir}/girepository-1.0/*.typelib
%ghost %{_localstatedir}/lib/colord/*.db

%files devel
%defattr(-,root,root,-)
%{_includedir}/colord-1
%{_libdir}/libcolord.so
%{_libdir}/libcolordprivate.so
%{_libdir}/libcolorhug.so
%{_libdir}/pkgconfig/colord.pc
%{_libdir}/pkgconfig/colorhug.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/colord.deps


%changelog
* Thu Feb 15 2024 onkelho <oh.quait at gmail.com> - 1.4.7-1quait2024
- new version on 2024-01-22

* Fri Nov 06 2020 tex - 1.4.5-1pclos2020
- new version

* Fri Aug 16 2019 onkelho <oh.quait at gmail.com> - 1.4.4-4pclos2019
- rebuild against many updates, such vala and glibc

* Tue Jun 04 2019 onkelho <oh.quait at gmail.com> - 1.4.4-3pclos2019
- rebuild -fix develrequires

* Sat May 25 2019 onkelho <oh.quait at gmail.com> 1.4.4-2pclos2019
- rebuild
- add from master:1.4.4-7-g8c95638
- trivial: post release version bump 4627c6d Commits on Mar 15, 2019
- data: set correct username in tmpfiles.d/colord.conf
- data: set @localstatedir@ in tmpfiles.d/colord.conf
- data: fix owner & permissions on existing state files
- trivial: Update downstream spec file
- trivial: Fix some typos spotted using codespell
- trivial: Fix error checking for sd_pid_get_session and sd_session_get…

* Wed Mar 13 2019 onkelho <oh.quait at gmail.com> 1.4.4-1pclos2019
- new version 1.4.4 release

* Thu Mar 07 2019 onkelho <oh.quait at gmail.com> 1.4.3-2pclos2019
- rebuild against newer sane

* Fri Mar 01 2019 onkelho <oh.quait at gmail.com> 1.4.3-1pclos2019
- new ver-rel meson-edit

* Tue Oct 13 2015 bb <bb. 1.0.9-2pclos2015
- rebuild for updates

* Sun Jul 12 2015 bb <bb> 1.0.9-1pclos2015
- update
- there is no service to start here

* Tue Nov 04 2014 bb <bb> 1.0.8-2pclos2014
- fix package

* Thu Oct 30 2014 pinoc <vogtpet at gmail.com> 1.0.8-pclos2014
- 1.0.8

